workspace "BarinkEngine"
	configurations { "Debug", "Test", "Release" } 

	language "C++"
	cppdialect "C++17"
	architecture "x86_64"

	targetdir "./%{prj.name}/build/%{cfg.buildcfg}"
	objdir "./%{prj.name}/%{cfg.buildcfg}/intermediates/"
	
	startproject("SandboxApp")

	filter "configurations:Debug"
			defines {"DEBUG"}
			symbols "On"

	filter "configurations:Release"
		defines {"NDEBUG"}
		optimize "On"

		
include("./BarinkEngine")
include("./Runtime") 
include ("./Editor")
include("./SandboxApp")
